## rust-wayland-protocols 0.32.6

=== protocols/meson_options.txt ===
option('tests',
       type: 'boolean',
       value: true,
       description: 'Build the tests')

## rust-wayland-protocols 0.29.4

=== debian/changelog ===
rust-wayland-protocols (0.29.4-1) unstable; urgency=medium

  * Team upload.
  * Package wayland-protocols 0.29.4 from crates.io using debcargo 2.5.0

 -- James McCoy <jamessan@debian.org>  Sun, 10 Apr 2022 17:04:47 -0400

rust-wayland-protocols (0.29.1-1) unstable; urgency=medium

  * Package wayland-protocols 0.29.1 from crates.io using debcargo 2.5.0

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sun, 27 Mar 2022 12:14:24 -0400

=== debian/control ===
Source: rust-wayland-protocols
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-wayland-commons-0.29+default-dev (>= 0.29.4-~~) <!nocheck>,
 librust-wayland-scanner-0.29+default-dev (>= 0.29.4-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/wayland-protocols]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/wayland-protocols
X-Cargo-Crate: wayland-protocols
Rules-Requires-Root: no

Package: librust-wayland-protocols-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-wayland-commons-0.29+default-dev (>= 0.29.4-~~),
 librust-wayland-scanner-0.29+default-dev (>= 0.29.4-~~)
Suggests:
 librust-wayland-protocols+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-server-dev (= ${binary:Version})
Provides:
 librust-wayland-protocols+default-dev (= ${binary:Version}),
 librust-wayland-protocols+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols+unstable-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0-dev (= ${binary:Version}),
 librust-wayland-protocols-0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0+unstable-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+unstable-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+staging-protocols-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+unstable-protocols-dev (= ${binary:Version})
Description: Generated API for the officials wayland protocol extensions - Rust source code
 This package contains the source for the Rust wayland-protocols crate, packaged
 by debcargo for use with cargo and dh-cargo.

Package: librust-wayland-protocols+wayland-client-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-wayland-protocols-dev (= ${binary:Version}),
 librust-wayland-client-0.29+default-dev (>= 0.29.4-~~)
Provides:
 librust-wayland-protocols+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+client-dev (= ${binary:Version})
Description: Generated API for the officials wayland protocol extensions - feature "wayland-client" and 1 more
 This metapackage enables feature "wayland-client" for the Rust wayland-
 protocols crate, by pulling in any additional dependencies needed by
 that feature.
 .
 Additionally, this package also provides the "client" feature.

Package: librust-wayland-protocols+wayland-server-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-wayland-protocols-dev (= ${binary:Version}),
 librust-wayland-server-0.29+default-dev (>= 0.29.4-~~)
Provides:
 librust-wayland-protocols+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.29.4+server-dev (= ${binary:Version})
Description: Generated API for the officials wayland protocol extensions - feature "wayland-server" and 1 more
 This metapackage enables feature "wayland-server" for the Rust wayland-
 protocols crate, by pulling in any additional dependencies needed by
 that feature.
 .
 Additionally, this package also provides the "server" feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --all-features
Features: test-name=rust-wayland-protocols:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets 
Features: test-name=librust-wayland-protocols-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features --features staging_protocols
Features: test-name=librust-wayland-protocols-dev:staging_protocols
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features --features unstable_protocols
Features: test-name=librust-wayland-protocols-dev:unstable_protocols
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features
Features: test-name=librust-wayland-protocols-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features --features client
Features: test-name=librust-wayland-protocols+wayland-client-dev:client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features --features wayland-client
Features: test-name=librust-wayland-protocols+wayland-client-dev:wayland-client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features --features server
Features: test-name=librust-wayland-protocols+wayland-server-dev:server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.29.4 --all-targets --no-default-features --features wayland-server
Features: test-name=librust-wayland-protocols+wayland-server-dev:wayland-server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-wayland-protocols 0.30.0

=== debian/changelog ===
rust-wayland-protocols (0.30.0-2) unstable; urgency=medium

  * Team upload.
  * Package wayland-protocols 0.30.0 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 04 Jul 2023 20:49:12 +0200

rust-wayland-protocols (0.30.0-1) experimental; urgency=medium

  * Team upload.
  * Package wayland-protocols 0.30.0 from crates.io using debcargo 2.6.0
  * Updated copyright
  * Collpased features in debcargo.toml

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 25 May 2023 10:28:08 +0200

=== debian/control ===
Source: rust-wayland-protocols
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-wayland-backend-0.1+default-dev <!nocheck>,
 librust-wayland-scanner-0.30+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/wayland-protocols]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/wayland-protocols
X-Cargo-Crate: wayland-protocols
Rules-Requires-Root: no

Package: librust-wayland-protocols-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-wayland-backend-0.1+default-dev,
 librust-wayland-client-0.30+default-dev,
 librust-wayland-scanner-0.30+default-dev,
 librust-wayland-server-0.30+default-dev
Provides:
 librust-wayland-protocols+client-dev (= ${binary:Version}),
 librust-wayland-protocols+default-dev (= ${binary:Version}),
 librust-wayland-protocols+server-dev (= ${binary:Version}),
 librust-wayland-protocols+staging-dev (= ${binary:Version}),
 librust-wayland-protocols+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0-dev (= ${binary:Version}),
 librust-wayland-protocols-0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.30.0+wayland-server-dev (= ${binary:Version})
Description: Generated API for the officials wayland protocol extensions - Rust source code
 This package contains the source for the Rust wayland-protocols crate, packaged
 by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --all-features
Features: test-name=rust-wayland-protocols:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features --features client
Features: test-name=librust-wayland-protocols-dev:client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets
Features: test-name=librust-wayland-protocols-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features --features server
Features: test-name=librust-wayland-protocols-dev:server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features --features staging
Features: test-name=librust-wayland-protocols-dev:staging
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features --features unstable
Features: test-name=librust-wayland-protocols-dev:unstable
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features --features wayland-client
Features: test-name=librust-wayland-protocols-dev:wayland-client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features --features wayland-server
Features: test-name=librust-wayland-protocols-dev:wayland-server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.30.0 --all-targets --no-default-features
Features: test-name=librust-wayland-protocols-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/wayland-protocols-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/wayland-protocols .*/crates/wayland-protocols/@ANY_VERSION@/download

## rust-wayland-protocols 0.31.0

=== debian/changelog ===
rust-wayland-protocols (0.31.0-1) experimental; urgency=medium

  * Team upload.
  * Package wayland-protocols 0.31.0 from crates.io using debcargo 2.6.1

 -- James McCoy <jamessan@debian.org>  Thu, 28 Dec 2023 08:43:09 -0500

=== debian/control ===
Source: rust-wayland-protocols
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.65) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-2+default-dev <!nocheck>,
 librust-wayland-backend-0.3+default-dev <!nocheck>,
 librust-wayland-scanner-0.31+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/wayland-protocols]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/wayland-protocols
X-Cargo-Crate: wayland-protocols
Rules-Requires-Root: no

Package: librust-wayland-protocols-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-2+default-dev,
 librust-wayland-backend-0.3+default-dev,
 librust-wayland-client-0.31+default-dev,
 librust-wayland-scanner-0.31+default-dev,
 librust-wayland-server-0.31+default-dev
Provides:
 librust-wayland-protocols+client-dev (= ${binary:Version}),
 librust-wayland-protocols+default-dev (= ${binary:Version}),
 librust-wayland-protocols+server-dev (= ${binary:Version}),
 librust-wayland-protocols+staging-dev (= ${binary:Version}),
 librust-wayland-protocols+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0-dev (= ${binary:Version}),
 librust-wayland-protocols-0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.31.0+wayland-server-dev (= ${binary:Version})
Description: Generated API for the officials wayland protocol extensions - Rust source code
 Source code for Debianized Rust crate "wayland-protocols"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --all-features
Features: test-name=rust-wayland-protocols:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features --features client
Features: test-name=librust-wayland-protocols-dev:client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets
Features: test-name=librust-wayland-protocols-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features --features server
Features: test-name=librust-wayland-protocols-dev:server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features --features staging
Features: test-name=librust-wayland-protocols-dev:staging
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features --features unstable
Features: test-name=librust-wayland-protocols-dev:unstable
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features --features wayland-client
Features: test-name=librust-wayland-protocols-dev:wayland-client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features --features wayland-server
Features: test-name=librust-wayland-protocols-dev:wayland-server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.0 --all-targets --no-default-features
Features: test-name=librust-wayland-protocols-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-wayland-protocols 0.31.2

=== debian/changelog ===
rust-wayland-protocols (0.31.2-1) unstable; urgency=medium

  * Team upload.
  * Package wayland-protocols 0.31.2 from crates.io using debcargo 2.6.1
  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Tue, 11 Jun 2024 15:33:08 -0400

=== debian/control ===
--- 
+++ 
@@ -52,13 +52,13 @@
  librust-wayland-protocols-0.31+unstable-dev (= ${binary:Version}),
  librust-wayland-protocols-0.31+wayland-client-dev (= ${binary:Version}),
  librust-wayland-protocols-0.31+wayland-server-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+client-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+default-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+server-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+staging-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+unstable-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+wayland-client-dev (= ${binary:Version}),
- librust-wayland-protocols-0.31.0+wayland-server-dev (= ${binary:Version})
+ librust-wayland-protocols-0.31.2-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+client-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+default-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+server-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+staging-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+unstable-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+wayland-client-dev (= ${binary:Version}),
+ librust-wayland-protocols-0.31.2+wayland-server-dev (= ${binary:Version})
 Description: Generated API for the officials wayland protocol extensions - Rust source code
  Source code for Debianized Rust crate "wayland-protocols"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --all-features
Features: test-name=rust-wayland-protocols:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features --features client
Features: test-name=librust-wayland-protocols-dev:client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets
Features: test-name=librust-wayland-protocols-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features --features server
Features: test-name=librust-wayland-protocols-dev:server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features --features staging
Features: test-name=librust-wayland-protocols-dev:staging
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features --features unstable
Features: test-name=librust-wayland-protocols-dev:unstable
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features --features wayland-client
Features: test-name=librust-wayland-protocols-dev:wayland-client
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features --features wayland-server
Features: test-name=librust-wayland-protocols-dev:wayland-server
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.31.2 --all-targets --no-default-features
Features: test-name=librust-wayland-protocols-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-wayland-protocols 0.32.6

=== debian/changelog ===
rust-wayland-protocols (0.32.6-1) unstable; urgency=medium

  * Team upload.
  * Package wayland-protocols 0.32.6 from crates.io using debcargo 2.7.6

 -- James McCoy <jamessan@debian.org>  Sun, 09 Feb 2025 19:47:10 -0500

=== debian/control ===
Source: rust-wayland-protocols
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.65) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-2+default-dev <!nocheck>,
 librust-wayland-backend-0.3+default-dev (>= 0.3.8-~~) <!nocheck>,
 librust-wayland-scanner-0.31+default-dev (>= 0.31.6-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/wayland-protocols]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/wayland-protocols
Homepage: https://github.com/smithay/wayland-rs
X-Cargo-Crate: wayland-protocols
Rules-Requires-Root: no

Package: librust-wayland-protocols-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-2+default-dev,
 librust-wayland-backend-0.3+default-dev (>= 0.3.8-~~),
 librust-wayland-client-0.31+default-dev (>= 0.31.8-~~),
 librust-wayland-scanner-0.31+default-dev (>= 0.31.6-~~),
 librust-wayland-server-0.31+default-dev (>= 0.31.7-~~)
Provides:
 librust-wayland-protocols+client-dev (= ${binary:Version}),
 librust-wayland-protocols+default-dev (= ${binary:Version}),
 librust-wayland-protocols+server-dev (= ${binary:Version}),
 librust-wayland-protocols+staging-dev (= ${binary:Version}),
 librust-wayland-protocols+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0-dev (= ${binary:Version}),
 librust-wayland-protocols-0+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32+wayland-server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+default-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+server-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+staging-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+unstable-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+wayland-client-dev (= ${binary:Version}),
 librust-wayland-protocols-0.32.6+wayland-server-dev (= ${binary:Version})
Description: Generated API for the officials wayland protocol extensions - Rust source code
 Source code for Debianized Rust crate "wayland-protocols"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --all-features
Features: test-name=rust-wayland-protocols:@
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features --features client
Features: test-name=librust-wayland-protocols-dev:client
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets
Features: test-name=librust-wayland-protocols-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features --features server
Features: test-name=librust-wayland-protocols-dev:server
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features --features staging
Features: test-name=librust-wayland-protocols-dev:staging
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features --features unstable
Features: test-name=librust-wayland-protocols-dev:unstable
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features --features wayland-client
Features: test-name=librust-wayland-protocols-dev:wayland-client
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features --features wayland-server
Features: test-name=librust-wayland-protocols-dev:wayland-server
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test wayland-protocols 0.32.6 --all-targets --no-default-features
Features: test-name=librust-wayland-protocols-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.65), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/wayland-protocols-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/wayland-protocols .*/crates/wayland-protocols/@ANY_VERSION@/download
